MARTe2-core - User story #203

Implement FormatDescriptor
24.08.2015 15:22 - Riccardo Vitelli

Status: Closed Start date: 24.08.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.4 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Source code files modified

Source/Core/L0TypeDev/FormatDescriptor.h
Source/Core/L0TypeDev/FormatDescriptor.cpp

Architecture & design review

As per the original MARTe implementation, this is a support function and does not require formal design in UML.

Code and documentation review
Date of the review: 04/09/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 07/09/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 4dc16f61 - 03.09.2015 17:08 - Ilvan Herrero

#2083 - Documentation and format modifications

Revision 77c52a6e - 04.09.2015 11:55 - lvan Herrero

#2083 - Documentation and format modifications

History

#1 - 27.08.2015 10:15 - Riccardo Vitelli
- Status changed from New to Code: Impl

#2 - 03.09.2015 11:22 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#3 - 03.09.2015 11:38 - Giuseppe Ferro
- Description updated

- Status changed from Code: Impl to Code: Rev

Code implementation done: 61fd50a

#4 - 03.09.2015 11:39 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#5 - 03.09.2015 16:21 - lvan Herrero

- Assignee set to Ivan Herrero

#6 - 03.09.2015 17:10 - lvan Herrero
- Description updated

- Assignee deleted (lvan Herrero)

#7 - 03.09.2015 17:10 - lvan Herrero
- Status changed from Code: Rev to Code: Impl!

#8 - 04.09.2015 09:34 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#9 - 04.09.2015 10:05 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#10 - 04.09.2015 10:05 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#11 - 04.09.2015 10:14 - André Neto
- Status changed from Code: Rev to Unit: Impl

#12 - 04.09.2015 10:14 - André Neto

- Assignee set to Llorenc Capella

#13 - 04.09.2015 10:14 - André Neto
- Status changed from Unit: Impl to Code: Rev

#14 - 04.09.2015 10:15 - André Neto

- Assignee changed from Llorenc Capella to Ivan Herrero

#15 - 04.09.2015 11:59 - lvan Herrero

- Description updated

#16 - 04.09.2015 11:59 - lvan Herrero

- Assignee deleted (lvan Herrero)

#17 - 07.09.2015 12:22 - lvan Herrero

- Description updated

#18 - 08.09.2015 09:12 - Ivan Herrero
- Status changed from Code: Rev to Unit: Rev

05.04.2025 2/3



#19 - 08.09.2015 09:14 - Ivan Herrero
- Status changed from Unit: Rev to Closed
